MetricsSystem.AbstractCallback (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Class MetricsSystem.AbstractCallback

    java.lang.Object
      org.apache.hadoop.metrics2.MetricsSystem.AbstractCallback

All Implemented Interfaces:
  MetricsSystem.Callback

Enclosing interface:
  MetricsSystem

    public abstract static class MetricsSystem.AbstractCallback

extends Object
implements MetricsSystem.Callback

Convenient abstract class for implementing callback interface

Constructor Summary
`MetricsSystem.AbstractCallback()`

Method Summary
`void` | `postStart()` Called after start()
`void` | `postStop()` Called after stop()
`void` | `preStart()` Called before start()
`void` | `preStop()` Called before stop()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricsSystem.AbstractCallback

    public MetricsSystem.AbstractCallback()

Method Detail

### preStart

    public void preStart()

  Description copied from interface: `MetricsSystem.Callback`
  Called before start()

  Specified by:
    `preStart` in interface `MetricsSystem.Callback`

### postStart

    public void postStart()

  Description copied from interface: `MetricsSystem.Callback`
  Called after start()

  Specified by:
    `postStart` in interface `MetricsSystem.Callback`

### preStop

    public void preStop()

  Description copied from interface: `MetricsSystem.Callback`
  Called before stop()

  Specified by:
    `preStop` in interface `MetricsSystem.Callback`

### postStop

    public void postStop()

  Description copied from interface: `MetricsSystem.Callback`
  Called after stop()

  Specified by:
    `postStop` in interface `MetricsSystem.Callback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation